summaryrefslogtreecommitdiffstats
path: root/test/TEST-43-PRIVATEUSER-UNPRIV/test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:35:18 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 15:35:18 +0000
commitb750101eb236130cf056c675997decbac904cc49 (patch)
treea5df1a06754bdd014cb975c051c83b01c9a97532 /test/TEST-43-PRIVATEUSER-UNPRIV/test.sh
parentInitial commit. (diff)
downloadsystemd-b750101eb236130cf056c675997decbac904cc49.tar.xz
systemd-b750101eb236130cf056c675997decbac904cc49.zip
Adding upstream version 252.22.upstream/252.22upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rwxr-xr-xtest/TEST-43-PRIVATEUSER-UNPRIV/test.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/test/TEST-43-PRIVATEUSER-UNPRIV/test.sh b/test/TEST-43-PRIVATEUSER-UNPRIV/test.sh
new file mode 100755
index 0000000..60e803c
--- /dev/null
+++ b/test/TEST-43-PRIVATEUSER-UNPRIV/test.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+set -e
+
+TEST_DESCRIPTION="Test PrivateUsers=yes on user manager"
+IMAGE_NAME="private-users"
+
+# shellcheck source=test/test-functions
+. "${TEST_BASE_DIR:?}/test-functions"
+
+has_user_dbus_socket || exit 0
+test_require_bin mksquashfs
+
+test_append_files() {
+ (
+ instmods overlay =overlayfs
+ generate_module_dependencies
+ inst_binary unsquashfs
+ install_verity_minimal
+ )
+}
+
+do_test "$@"